% VSI characteristics
Vdc = 600; %total Vdc bus sum of isolated series dc voltage sources
ncells = 3; %number of cascaded series connected half bridge cells
% this creates (2*ncells+1) levels between -Vdc and +Vdc
config = 1; %power module configuration (switched=1, averaged=2)

% Modulator
fsw = 10000; %carrier wave switching frequency (Hz)
fac = 50; %reference wave frequency (Hz)
Tdt = 0.00*1/fsw; %deadtime (s)

% Three-phase load
Rg = 10; %grid resistance (ohms)
Lg = 0.01; %grid inductance (Henries)